VideoFormatControl

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.dvb.media
Interface VideoFormatControl

All Superinterfaces:
  Control

All Known Subinterfaces:
  VideoFormatControl

    public interface VideoFormatControl

extends Control

This provides a means for applications to get information associated with the format and aspect ratio of the video being presented to the user. This control will only be available for Players presenting MPEG-2 video streams.

It is important to note that due to different video and display formats (and user preferences), not all of the full video frame may be displayed. Similarly, it may not always be possible to map video and graphics with perfect accuracy.

Field Summary
`static int` | `AFD_14_9` Constant representing an MPEG active format descriptor of 14:9 (centre)
`static int` | `AFD_14_9_TOP` Constant representing an MPEG active format descriptor of 14:9 (top)
`static int` | `AFD_16_9` Constant representing an MPEG active format descriptor of 16:9 (centre)
`static int` | `AFD_16_9_SP_14_9` Constant representing an MPEG active format descriptor of 16:9 (with shoot & protect 14:9 centre)
`static int` | `AFD_16_9_SP_4_3` Constant representing an MPEG active format descriptor of 16:9 (with shoot & protect 4:3 centre)
`static int` | `AFD_16_9_TOP` Constant representing an MPEG active format descriptor of 16:9 (top)
`static int` | `AFD_4_3` Constant representing an MPEG active format descriptor of 4:3 (centre)
`static int` | `AFD_4_3_SP_14_9` Constant representing an MPEG active format descriptor of 4:3 (with shoot & protect 14:9 centre)
`static int` | `AFD_GT_16_9` Constant representing an MPEG active format descriptor of greater than 16:9 (centre)
`static int` | `AFD_NOT_PRESENT` Constant showing an MPEG active format descriptor is not present
`static int` | `AFD_SAME` Constant representing an MPEG active format descriptor that is the same as the coded frame
`static int` | `ASPECT_RATIO_16_9` Constant representing an aspect ratio of 16:9
`static int` | `ASPECT_RATIO_2_21_1` Constant representing an aspect ratio of 2.21:1
`static int` | `ASPECT_RATIO_4_3` Constant representing an aspect ratio of 4:3
`static int` | `ASPECT_RATIO_UNKNOWN` Constant representing an unknown aspect ratio
`static int` | `DAR_16_9` Constant representing a display aspect ratio of 16:9
`static int` | `DAR_4_3` Constant representing a display aspect ratio of 4:3
`static int` | `DFC_PLATFORM` Control over the decoder format conversions is returned to being managed by the platform.
`static int` | `DFC_PROCESSING_16_9_ZOOM` The central 16:9 letterbox area of the 4:3 720 x 576 input grid is expanded to fill the 16:9 output frame.
`static int` | `DFC_PROCESSING_CCO` A 4:3 central part out of the 720 x 576 input 16:9 frame is transferred into a 720 x 576 4:3 output frame
`static int` | `DFC_PROCESSING_FULL` The full 720 x 576 frame is transferred (this may be either 4:3 or 16:9; part of this may be black, e.g.
`static int` | `DFC_PROCESSING_LB_14_9` The 720 x 576 input grid is transferred into a 14:9 LB in a 4:3 frame
`static int` | `DFC_PROCESSING_LB_16_9` The 720 x 576 input grid is transferred into a 16:9 letterbox in a 4:3 frame
`static int` | `DFC_PROCESSING_LB_2_21_1_ON_16_9` The 720 x 576 input grid is transferred into a 2.21:1 letterbox in a 16:9 frame.
`static int` | `DFC_PROCESSING_LB_2_21_1_ON_4_3` The 720 x 576 input grid is transferred into a 2.21:1 letterbox in a 4:3 frame.
`static int` | `DFC_PROCESSING_NONE` Decoder format conversion is inactive
`static int` | `DFC_PROCESSING_PAN_SCAN` A 4:3 part out of the 720 x 576 input 16:9 or 2.21:1 frame is transferred into a 720 x 576 4:3 output frame.
`static int` | `DFC_PROCESSING_UNKNOWN` Constant representing an unknown format conversion being performed by the decoder

Method Summary
`void` | `addVideoFormatListener(VideoFormatListener l)` Add a listener for VideoFormatChangedEvents
`int` | `getActiveFormatDefinition()` Return the value of the active_format field of the MPEG Active Format Description of the video if it is transmitted (one of the constants AFD_* above).
`int` | `getAspectRatio()` Return the aspect ratio of the video as it is transmitted.
`int` | `getDecoderFormatConversion()` Return a value representing what format conversion is being done by the decoder in the platform (one of the constants DFC_* above).
`int` | `getDisplayAspectRatio()` Return the aspect ratio of the display device connected to this MHP decoder (one of the constants DAR_* above)
`VideoTransformation` | `getVideoTransformation(int dfc)` This method returns a VideoTransformation object that corresponds with the specified Decoder Format Conversion when applied to the currently selected video.
`boolean` | `isPlatform()` Test if control over the decoder format conversions is being managed by the platform as defined by `DFC_PLATFORM`.
`void` | `removeVideoFormatListener(VideoFormatListener l)` Remove a listener for VideoFormatChangedEvents

Methods inherited from interface javax.media.Control
`getControlComponent`

Field Detail

### ASPECT_RATIO_UNKNOWN

    static final int ASPECT_RATIO_UNKNOWN

  Constant representing an unknown aspect ratio

  See Also:
    Constant Field Values

### ASPECT_RATIO_4_3

    static final int ASPECT_RATIO_4_3

  Constant representing an aspect ratio of 4:3

  See Also:
    Constant Field Values

### ASPECT_RATIO_16_9

    static final int ASPECT_RATIO_16_9

  Constant representing an aspect ratio of 16:9

  See Also:
    Constant Field Values

### ASPECT_RATIO_2_21_1

    static final int ASPECT_RATIO_2_21_1

  Constant representing an aspect ratio of 2.21:1

  See Also:
    Constant Field Values

### AFD_NOT_PRESENT

    static final int AFD_NOT_PRESENT

  Constant showing an MPEG active format descriptor is not present

  See Also:
    Constant Field Values

### AFD_16_9_TOP

    static final int AFD_16_9_TOP

  Constant representing an MPEG active format descriptor of 16:9 (top)

  See Also:
    Constant Field Values

### AFD_14_9_TOP

    static final int AFD_14_9_TOP

  Constant representing an MPEG active format descriptor of 14:9 (top)

  See Also:
    Constant Field Values

### AFD_GT_16_9

    static final int AFD_GT_16_9

  Constant representing an MPEG active format descriptor of greater than 16:9 (centre)

  See Also:
    Constant Field Values

### AFD_SAME

    static final int AFD_SAME

  Constant representing an MPEG active format descriptor that is the same as the coded frame

  See Also:
    Constant Field Values

### AFD_4_3

    static final int AFD_4_3

  Constant representing an MPEG active format descriptor of 4:3 (centre)

  See Also:
    Constant Field Values

### AFD_16_9

    static final int AFD_16_9

  Constant representing an MPEG active format descriptor of 16:9 (centre)

  See Also:
    Constant Field Values

### AFD_14_9

    static final int AFD_14_9

  Constant representing an MPEG active format descriptor of 14:9 (centre)

  See Also:
    Constant Field Values

### AFD_4_3_SP_14_9

    static final int AFD_4_3_SP_14_9

  Constant representing an MPEG active format descriptor of 4:3 (with shoot & protect 14:9 centre)

  See Also:
    Constant Field Values

### AFD_16_9_SP_14_9

    static final int AFD_16_9_SP_14_9

  Constant representing an MPEG active format descriptor of 16:9 (with shoot & protect 14:9 centre)

  See Also:
    Constant Field Values

### AFD_16_9_SP_4_3

    static final int AFD_16_9_SP_4_3

  Constant representing an MPEG active format descriptor of 16:9 (with shoot & protect 4:3 centre)

  See Also:
    Constant Field Values

### DFC_PROCESSING_UNKNOWN

    static final int DFC_PROCESSING_UNKNOWN

  Constant representing an unknown format conversion being performed by the decoder

  See Also:
    Constant Field Values

### DFC_PROCESSING_NONE

    static final int DFC_PROCESSING_NONE

  Decoder format conversion is inactive

  See Also:
    Constant Field Values

### DFC_PROCESSING_FULL

    static final int DFC_PROCESSING_FULL

  The full 720 x 576 frame is transferred (this may be either 4:3 or 16:9; part of this may be black, e.g. in the "pillar box" cases)

  See Also:
    Constant Field Values

### DFC_PROCESSING_LB_16_9

    static final int DFC_PROCESSING_LB_16_9

  The 720 x 576 input grid is transferred into a 16:9 letterbox in a 4:3 frame

  See Also:
    Constant Field Values

### DFC_PROCESSING_LB_14_9

    static final int DFC_PROCESSING_LB_14_9

  The 720 x 576 input grid is transferred into a 14:9 LB in a 4:3 frame

  See Also:
    Constant Field Values

### DFC_PROCESSING_CCO

    static final int DFC_PROCESSING_CCO

  A 4:3 central part out of the 720 x 576 input 16:9 frame is transferred into a 720 x 576 4:3 output frame

  See Also:
    Constant Field Values

### DFC_PROCESSING_PAN_SCAN

    static final int DFC_PROCESSING_PAN_SCAN

  A 4:3 part out of the 720 x 576 input 16:9 or 2.21:1 frame is transferred into a 720 x 576 4:3 output frame. The horizontal position of this part is determined by pan&scan vectors from the MPEG video stream.

  See Also:
    Constant Field Values

### DFC_PROCESSING_LB_2_21_1_ON_4_3

    static final int DFC_PROCESSING_LB_2_21_1_ON_4_3

  The 720 x 576 input grid is transferred into a 2.21:1 letterbox in a 4:3 frame.

  See Also:
    Constant Field Values

### DFC_PROCESSING_LB_2_21_1_ON_16_9

    static final int DFC_PROCESSING_LB_2_21_1_ON_16_9

  The 720 x 576 input grid is transferred into a 2.21:1 letterbox in a 16:9 frame.

  See Also:
    Constant Field Values

### DFC_PLATFORM

    static final int DFC_PLATFORM

  Control over the decoder format conversions is returned to being managed by the platform. This is the same as the value used if no MHP application has set a video transformation. It is not required to correspond to a single decoder format conversion and may change over time as the video input format & signalling change. This constant can only be used to set the decoder format conversion. Reading the decoder format conversion shall always return the DFC used at the time concerned.

  See Also:
    Constant Field Values

### DFC_PROCESSING_16_9_ZOOM

    static final int DFC_PROCESSING_16_9_ZOOM

  The central 16:9 letterbox area of the 4:3 720 x 576 input grid is expanded to fill the 16:9 output frame.

  See Also:
    Constant Field Values

### DAR_4_3

    static final int DAR_4_3

  Constant representing a display aspect ratio of 4:3

  See Also:
    Constant Field Values

### DAR_16_9

    static final int DAR_16_9

  Constant representing a display aspect ratio of 16:9

  See Also:
    Constant Field Values

Method Detail

### getAspectRatio

    int getAspectRatio()

  Return the aspect ratio of the video as it is transmitted. If the aspect ratio is not known, ASPECT_RATIO_UNKNOWN is returned

  Returns:
    the aspect ratio of the video

### getActiveFormatDefinition

    int getActiveFormatDefinition()

  Return the value of the active_format field of the MPEG Active Format Description of the video if it is transmitted (one of the constants AFD_* above). If this field is not available then AFD_NOT_PRESENT is returned. The constant values for the constants representing the active format descriptor should be identical to the values specified in ETR154, annex B.

  Returns:
    the value of the active_format field of the MPEG Active Format Description of the video if it is transmitted. If this field is not available, or the video is not MPEG, then AFD_NOT_PRESENT is returned.

### getDecoderFormatConversion

    int getDecoderFormatConversion()

  Return a value representing what format conversion is being done by the decoder in the platform (one of the constants DFC_* above). A receiver may implement only a subset of the available options. This decoder format conversion may be active or not depending upon the mode of operation.

  Returns:
    the decoder format conversion being performed or DFC_PROCESSING_UNKNOWN if this is not known

### getVideoTransformation

    VideoTransformation getVideoTransformation(int dfc)

  This method returns a VideoTransformation object that corresponds with the specified Decoder Format Conversion when applied to the currently selected video. If the specified Decoder Format Conversion is not supported for the currently selected video, then this method returns null.

  Parameters:
    `dfc` - the Decoder Format Conversion (one of the DFC_* constants specified in this interface)
  Returns:
    the video transformation, or null if the specified Decoder Format Conversion is not supported for the currently selected video.

### getDisplayAspectRatio

    int getDisplayAspectRatio()

  Return the aspect ratio of the display device connected to this MHP decoder (one of the constants DAR_* above)

  Returns:
    the aspect ratio of the display device connected to the decoder

### isPlatform

    boolean isPlatform()

  Test if control over the decoder format conversions is being managed by the platform as defined by `DFC_PLATFORM`.

  Returns:
    true if control over the decoder format conversions is being managed by the platform, false otherwise
  See Also:
    `DFC_PLATFORM`

### addVideoFormatListener

    void addVideoFormatListener(VideoFormatListener l)

  Add a listener for VideoFormatChangedEvents

  Parameters:
    `l` - the listener to add

### removeVideoFormatListener

    void removeVideoFormatListener(VideoFormatListener l)

  Remove a listener for VideoFormatChangedEvents

  Parameters:
    `l` - the listener to remove

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD